### Enumeration

# Qmi WdsDataCallType

since: 1.18

#### Declaration

    enum Qmi.WdsDataCallType

#### Description [src]

Data call type.

Available since: 1.18

#### Members

`QMI_WDS_DATA_CALL_TYPE_UNKNOWN`

  Data call type unknown.

  - Value: `0`
  - Available since: 1.18
`QMI_WDS_DATA_CALL_TYPE_EMBEDDED`

  Embedded data call.

  - Value: `1`
  - Available since: 1.18
`QMI_WDS_DATA_CALL_TYPE_TETHERED`

  Tethered data call.

  - Value: `2`
  - Available since: 1.18
`QMI_WDS_DATA_CALL_TYPE_MODEM_EMBEDDED`

  Modem embedded data call.

  - Value: `3`
  - Available since: 1.18

#### Type functions

###### qmi_wds_data_call_type_get_string

Gets the nickname string for the `QmiWdsDataCallType` specified at `val`.

since: 1.18